JNA API 3.2.7

## com.sun.jna
Class StructureWriteContext

    java.lang.Object
      com.sun.jna.ToNativeContext
          com.sun.jna.StructureWriteContext

    public class StructureWriteContext

extends ToNativeContext

Provide Java to native type conversion context for a `Structure` field write.

Constructor Summary
`StructureWriteContext(Structure struct, Field field)`

Method Summary
`Field` | `getField()` Get the `Field` being written to native memory.
`Structure` | `getStructure()` Get the `Structure` the field is a member of.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StructureWriteContext

    StructureWriteContext(Structure struct,
                          Field field)

Method Detail

### getStructure

    public Structure getStructure()

  Get the `Structure` the field is a member of.

### getField

    public Field getField()

  Get the `Field` being written to native memory.

JNA API 3.2.7

Copyright © 2007-2010 Timothy Wall. All Rights Reserved.